View Issue Details

IDProjectCategoryView StatusLast Update
0018469LazarusLCLpublic2011-12-01 11:25
ReporterZex AtillaAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018469: poMainFormCenter doesn't work on Windows
DescriptionIn a test project with only one main form and a single dialog the poMainFormCenter set on the dialog doesn't center the dialog over the form. The dialog is centered on the screen, regardless of the main form position.

The main form is sizable.
The dialog is fixed size.
Tagscenter, form, main, poMainFormCenter, window
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2011-01-11 18:59

manager   ~0045108

Please, test with Lazarus 0.9.31.

lainz

2011-01-11 22:21

reporter   ~0045120

I tested in Lazarus 0.9.31 and works fine: the 2nd form is displayed in the center of the main form.

procedure TForm1.FormClick(Sender: TObject);
begin
  unit2.Form2.Show; // this form is poMainFormCenter
end;

Paul Ishenin

2011-01-12 02:35

manager   ~0045128

As reporter states it is fixed.

Issue History

Date Modified Username Field Change
2011-01-11 18:48 Zex Atilla New Issue
2011-01-11 18:48 Zex Atilla Widgetset => Win32/Win64
2011-01-11 18:59 Vincent Snijders LazTarget => -
2011-01-11 18:59 Vincent Snijders Note Added: 0045108
2011-01-11 18:59 Vincent Snijders Status new => feedback
2011-01-11 22:21 lainz Note Added: 0045120
2011-01-12 02:35 Paul Ishenin Status feedback => resolved
2011-01-12 02:35 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-12 02:35 Paul Ishenin Resolution open => fixed
2011-01-12 02:35 Paul Ishenin Assigned To => Paul Ishenin
2011-01-12 02:35 Paul Ishenin Note Added: 0045128
2011-01-27 17:53 Zex Atilla Tag Attached: form
2011-01-27 17:53 Zex Atilla Tag Attached: center
2011-01-27 17:53 Zex Atilla Tag Attached: main
2011-01-27 17:53 Zex Atilla Tag Attached: poMainFormCenter
2011-01-27 17:53 Zex Atilla Tag Attached: window
2011-12-01 11:25 Marc Weustink Status resolved => closed